// Dynamic link library implementation of NeuroSolutions Noise component for Gaussian setting

#include "NSDLL.h" 

/***************************/
/* Activation of component */
__declspec(dllexport) NSFloat performNoise(
	DLLData	*instance,	// Pointer to instance data (may be NULL)
	NSFloat	variance, 	// Variance set within components inspector
	NSFloat	mean	 	// Mean set within components inspector
	)
{
	return (variance*(NSFloat)(sqrt(-2*log((NSFloat)rand()/RAND_MAX))*cos(2*PI*((NSFloat)rand()/RAND_MAX))) + mean);
}

/**********************************************************************/
/* Called before any performNoise calls, allowing any initialization. */
/*
__declspec(dllexport) void getReadyToFire(
	DLLData	*instance	// Pointer to instance data (may be NULL) 
	)
{
}
*/

/******************************************/
/* Management of instance data (OPTIONAL) */
/*
__declspec(dllexport) DLLData *allocNoise(
	DLLData	*oldInstance	// Pointer to the last instance if reallocating
	)
{
	DLLData *instance = NULL;
	return instance;
}

__declspec(dllexport) void freeNoise(DLLData *instance)
{
	freeDLLInstance(instance);
}
*/