// Dynamic link library implementation of NeuroSolutions Axon component 

#include "NSDLL.h" 

/****************************/
/* Transform implementation */

__declspec(dllexport) BOOL performTransform(
	DLLData	*instance,	// Pointer to instance data
	NSFloat	*data, 		// Pointer to the buffered data
	int 	length,		// Length of the buffer to be transformed
	int 	channel		// Current channal number
	)
{
	int i;

	for (i=length-1; i>0; i--)
		data[i] = data[i] - data[i-1];
	// Return whether or not to display this channel
	return TRUE;
}

/******************************************/
/* Management of instance data (OPTIONAL) */
/*
__declspec(dllexport) DLLData *allocTransform(
	int 	length,		// Length of the buffer to be transformed
	int 	channels	// Number of channels to be transformed
	)
{
	DLLData instance=NULL;
	return instance;
}

__declspec(dllexport) void freeTransform(DLLData *instance)
{
	if (instance)
		free(instance);
}
*/
